BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/operations/preview

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/operations/preview" \  -H "Content-Type: application/json" \  -d '{    "operation": {      "operation_id": "timeline.item.trim",      "timeline_item_id": "string",      "trim_start_delta_seconds": 0,      "trim_end_delta_seconds": 0,      "snap_to_frame": true    },    "expected_revision": 0  }'
{  "operation_id": "timeline.item.trim",  "project_id": "string",  "current_revision": 0,  "expected_revision": 0,  "destructive": true,  "affected_timeline_item_ids": [    "string"  ],  "would_create_timeline_item_ids": [    "string"  ],  "would_delete_timeline_item_ids": [    "string"  ],  "change_count": 0,  "warnings": [    "string"  ]}